{% extends 'layout_base.html' %}
{% load compress sekizai_tags staticfiles %}

{% comment %}

Main application layout.

Blocks:
    body: page body
    content: page content
    wrapper_attrs: attributes of wrapper div

Context:
    organization: current organization


{% endcomment %}

{% load i18n %}
{% load extra_filters %}


{% block body_class %}{% endblock %}

{% block body %}

    {% comment %}
    Keep sekizai blocks on top so that they appear before sekizai blocks in child templates
    {% endcomment %}

    {% addtoblock 'javascript-before-bundle' %}
        <script charset="UTF-8">
          {{ agriplace_global_config|safe }}
        </script>
        {% compress js %}
        <script src="{% static 'frontend/javascript/vendor.js' %}" charset="UTF-8"></script>
        {% endcompress %}
    {% endaddtoblock %}

    {% addtoblock 'css' %}
        {% compress css %}
        <link rel="stylesheet" href="{% static 'frontend/css/vendor.css' %}"/>
        {% endcompress %}
    {% endaddtoblock %}

    {% if layout_name == 'hzpc' %}
        {% addtoblock "css" %}
            {% compress css %}
                <link href="{% static 'frontend/css/hzpc/bootstrap.css' %}" rel="stylesheet" type="text/css"/>
            {% endcompress %}
        {% endaddtoblock %}

        {% addtoblock "css" %}
            {% compress css %}
                <link href="{% static 'frontend/css/hzpc/app.css' %}" rel="stylesheet" type="text/css"/>
            {% endcompress %}
        {% endaddtoblock %}
    {% elif layout_name == 'farm_group' %}
      {% addtoblock "css" %}
          {% compress css %}
              <link href="{% static 'frontend/css/farm_group/bootstrap.css' %}" rel="stylesheet" type="text/css"/>
          {% endcompress %}
      {% endaddtoblock %}

      {% addtoblock "css" %}
          {% compress css %}
              <link href="{% static 'frontend/css/farm_group/app.css' %}" rel="stylesheet" type="text/css"/>
          {% endcompress %}
      {% endaddtoblock %}
    {% else %}
        {% addtoblock "css" %}
            {% compress css %}
                <link href="{% static 'frontend/css/bootstrap.css' %}" rel="stylesheet" type="text/css"/>
            {% endcompress %}
        {% endaddtoblock %}

        {% addtoblock "css" %}
            {% compress css %}
                <link href="{% static 'frontend/css/app.css' %}" rel="stylesheet" type="text/css"/>
            {% endcompress %}
        {% endaddtoblock %}
    {% endif %}

    {% include 'core/parts/js_context.html' %}

    {% addtoblock "javascript" %}
        {% compress js %}
        <script src="{% static 'frontend/javascript/agriplace-bundle-react.js' %}"></script>
        {% endcompress %}

        <script>
            <!-- Warn IE trouble -->
            $(document).ready(function () {
                // Detecting IE
                var isIE = navigator.userAgent.indexOf('MSIE') !== -1 || navigator.appVersion.indexOf('Trident/') > 0;
                if (isIE) {
										// cry()
                    // $('.ie-warning').show();
                }
            });
        </script>

    {% endaddtoblock %}

    <div class="document-wrapper" {% block document_wrapper_attrs %}{% endblock %} id="top">

        <toaster-container toaster-options="{'position-class': 'toast-top-right'}">
        </toaster-container>

        <div class="slice" id="navbar-slice">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">

                        <nav class="navbar navbar-inverse" role="navigation">

                            <div class="navbar-header">
                              {% if layout_name == 'hzpc' %}
                              <a class="navbar-brand" href="{% url "organization_list" %}" alt="HZPC">
                                  <img class="" src="{% static 'frontend/img/hzpcLogo.png' %}"
                                       alt="HZPC"/>
                              </a>
                              {% else %}
                              <a class="navbar-brand" href="{% url "organization_list" %}" alt="AgriPlace">
                                  <img class="" src="{% static 'frontend/img/agriplace-logo-invert-1.png' %}"
                                       alt="AgriPlace"/>
                              </a>
                              {% endif %}
                            </div>

                            <div class="navbar-collapse">

                                <div class="nav-content">
                                    {% block nav_content %}
                                    {% endblock %}
                                </div>

                                <ul class="nav navbar-nav navbar-right">

                                        {% if membership %}
                                        {# Organization dropdown #}

                                        {% if memberships|length_is:"1" %}

                                            <li>
                                                <a class="icon-label" href="#">
                                                    <span class="icon {{ ICONS.organization }}"></span>
                                                    <span class="content">
                                                        {{ membership.get_organization_dropdown_value }}
                                                    </span>
                                                </a>
                                            </li>

                                        {% else %}

                                            <li class="dropdown">
                                                <a class="dropdown-toggle icon-label" data-toggle="dropdown" href="#">
                                                    <span class="icon {{ ICONS.organization }}"></span>
                                                    <span class="content">
                                                        {{ membership.get_organization_dropdown_value }}
                                                        <span class="caret"></span>
                                                    </span>
                                                </a>
                                                <ul class="dropdown-menu" role="menu">
                                                   {% for mem in memberships %}
                                                       {% if mem.pk != membership.pk %}
                                                           <li>
                                                               <a href='{% url "home" mem.pk %}'>
                                                                    {{ mem.get_organization_dropdown_value }}
                                                               </a>
                                                            </li>
                                                       {% endif %}
                                                   {% endfor %}
                                                </ul>
                                            </li>

                                        {% endif %}

                                    {% endif %}

                                    {# User dropdown #}
                                    <li class="dropdown">
                                        {% if user %}
                                            <a class="dropdown-toggle icon-label" data-toggle="dropdown" href="#">
                                                <span class="icon {{ ICONS.user }}"></span>
                                            <span class="content">
                                                {% if user.first_name != '' %}
                                                    {{ user.first_name|truncatechars:20|default:'Anonymous!' }}
                                                {% else %}
                                                    {{ user.username|truncatechars:20|default:'Anonymous!' }}
                                                {% endif %}
                                                <span class="caret"></span>
                                            </span>
                                            </a>
                                        {% endif %}
                                        <ul class="dropdown-menu">
                                            <li class="muted centered">
                                                {{ user.username }}
                                            </li>
                                            <li class="divider"></li>
                                            <li><a href="{% url 'my_profile' %}">
                                                <span class="icon-user"></span>
                                                {% trans 'Account' %}
                                            </a></li>
                                            <li><a href="{% url 'auth_logout' %}">
                                                <span class="icon-signout"></span>
                                                {% trans 'Log out' %}
                                            </a></li>
                                        </ul>
                                    </li>

                                    {% comment %}
                                    <li><a href="javascript:void(0)">|</a></li>
                                    <li>
                                        <a href="{% url "auth_logout" %}">
                                            <i class="fa fa-sign-out"></i>
                                        </a>
                                    </li>
                                {% endcomment %}
                                </ul>

                                <div class="nav-content-right">
                                    {% block nav_content_right %}
                                    {% endblock %}
                                </div>

                            </div>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        {% if cheatmode %}
            {% if not hide_breadcrumbs %}
                <div class="slice breadcrumbs-slice">
                    <div class="container">
                        {% include "parts/_breadcrumbs.html" %}
                    </div>
                </div>
            {% endif %}
        {% endif %}

        {% block content_slice %}


            {# Content slice #}
            <div class="slice content-slice">
                <div class="{% if "my_docs_list" not in page_triggers %}container{% endif %}">
                    <div class="paper">

                        {% if messages %}
                            <!-- Messages row -->
                            <div class="row">
                                <div class="col-xs-12">
                                    <ul class="messages">
                                        {% for message in messages %}
                                            <li class="alert {% if message.tags %}alert-{{ message.tags }}{% endif %}">
                                                {{ message }}
                                                <a href="#" class="close" data-dismiss="alert">×</a>
                                            </li>
                                        {% endfor %}
                                    </ul>

                                </div>
                            </div>
                        {% endif %}

                        {% block content_row %}
                            <!-- Content row -->
                            <div class="row">
                                <div class="col-xs-12">
                                    <div class="alert alert-error ie-warning" style="display: none;">
                                        We zien dat u Internet Explorer gebruikt. Op dit moment ondervinden wij
                                        problemen
                                        met Internet Explorer. We doen ons best deze zo snel mogelijk te verhelpen. Tot
                                        dit
                                        moment verzoeken wij u om gebruik te maken van Chrome of Firefox. Voor meer
                                        informatie bel ons op: 085-4897333.
                                    </div>
                                    {% block content %}
                                        <h2>Content.</h2>
                                    {% endblock content %}
                                </div>
                            </div>
                        {% endblock %}

                    </div>
                    <!-- paper -->
                </div>
            </div>
        {% endblock content_slice %}

        <div class="push hidden-print"></div>

    </div>

    {# Footer slice #}
    {% include 'parts/footer.html' %}

{% endblock body %}
